RemoveFromClusterNodeLabelsRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: RemoveFromClusterNodeLabelsRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class RemoveFromClusterNodeLabelsRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RemoveFromClusterNodeLabelsRequestPBImpl

public class RemoveFromClusterNodeLabelsRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest
Proto class to handle RemoveFromClusterNodeLabels request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveFromClusterNodeLabelsRequestPBImpl()`
  `RemoveFromClusterNodeLabelsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `Set<String>`
  `getNodeLabels()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto`
  `getProto()`
  `String`
  `getSubClusterId()`
  `int`
  `hashCode()`
  `void`
  `setNodeLabels(Set<String> labels)`
  `void`
  `setSubClusterId(String subClusterId)`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RemoveFromClusterNodeLabelsRequestPBImpl

    public RemoveFromClusterNodeLabelsRequestPBImpl()

  - ### RemoveFromClusterNodeLabelsRequestPBImpl

    public RemoveFromClusterNodeLabelsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto getProto()

  - ### setNodeLabels

    public void setNodeLabels(Set<String> labels)
    Specified by:
      `setNodeLabels` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

  - ### getNodeLabels

    public Set<String> getNodeLabels()
    Specified by:
      `getNodeLabels` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

  - ### getSubClusterId

    public String getSubClusterId()
    Specified by:
      `getSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)
    Specified by:
      `setSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`